Manage Dashboards
Create a dashboard
post
/api/dashboardsCreate a dashboard.
Parameters 1
datasetqueryReferences Dataset
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
stringpattern
"^[a-zA-Z0-9_-]{3,26}$"bash
Sample request12345678910curl --request POST 'https://api.eu-west-1.aws.dash0.com/api/dashboards' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \--header 'Content-Type: application/json' \--data-raw '{"kind": "Dashboard","metadata": {"name": "Example"},"spec": {}}'
Request body required
References DashboardDefinition
A dashboard definition that is compatible with Perses' dashboarding system.
Responses
The created dashboard.
References DashboardDefinition
A dashboard definition that is compatible with Perses' dashboarding system.